package com.yuchen.saas.parking.api.vo;

import org.springframework.context.ApplicationEvent;

/**
 * @description: TODO
 * @author 钱江
 * @date 2022/7/29 下午7:23
 * @version 0.3.0
 */
public class GateEvent extends ApplicationEvent {

    private String identifier;

    /**
     * Create a new {@code ApplicationEvent}.
     * @param source the object on which the event initially occurred or with
     * which the event is associated (never {@code null})
     */
    public GateEvent(Object source, String identifier) {
        super(source);
        this.identifier = identifier;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }
}
